## hubzero-icewm-captive-themes 2.2.3-1+deb7

=== debian/changelog ===
hubzero-icewm-captive-themes (2.2.3-1+deb7) unstable; urgency=low

  * Debian 10 build fix
  * updates from steve clark

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 10:09:22 -0700

hubzero-icewm-captive-themes (2.2.2-1) unstable; urgency=low

  * themes for icewm-captive

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Aug 2022 12:35:41 -0700

hubzero-icewm-themes (2.2.1-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:13:21 -0700

hubzero-icewm-themes (2.2.0-1) unstable; urgency=low

  * update copyright, version, authors, packaging

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 29 May 2018 10:43:12 -0400

hubzero-icewm-themes (2.0.0-1) unstable; urgency=low

  * update copyright, license, version 

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 29 Aug 2015 17:03:32 -0400

hubzero-icewm-themes (1.3.1-1) unstable; urgency=low

  * version update to match redhat build

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 29 Aug 2015 16:54:57 -0400

hubzero-icewm-themes (1.3.0-1) unstable; urgency=medium

  * update copyright statements

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Tue, 02 Jun 2015 11:27:18 -0400

hubzero-icewm-themes (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 10 Sep 2014 21:37:29 -0400

hubzero-icewm-themes (1.1.2-1) unstable; urgency=low

  * update copyright statements

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 24 Aug 2013 13:32:49 -0400

hubzero-icewm-themes (1.1.1-1) unstable; urgency=low

  * update copyrights for The Regents of the University of California. and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Aug 2012 12:13:44 -0400

hubzero-icewm-themes (1.1.0-1) unstable; urgency=low

  * Fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 19 Mar 2012 11:51:15 -0400

hubzero-icewm-themes (1.0.1-1) unstable; urgency=low

  * Changing the permissions on image files so they are not executable.

 -- Derrick Kearney <dsk@purdue.edu>  Mon, 17 Oct 2011 17:47:58 -0400

hubzero-icewm-themes (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:05:25 -0400

hubzero-icewm-themes (0.9.1-1) testing; urgency=low

  * Nick updated copyright and cleaned up.  Advanced version.

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 23 Mar 2011 19:25:39 -0400

hubzero-icewm-themes (0.9.0-1) testing; urgency=low

  * Updated copyright and cleaned out debian directory.  Moved to new
    repository.

 -- John Rosheck <jrosheck@purdue.edu>  Sun, 06 Mar 2011 04:09:51 -0500

hubzero-icewm-themes (0.8.1-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version number and fixed control file

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 17:25:42 -0400

hubzero-icewm-themes (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 14 Jan 2010 15:37:22 -0500

## hubzero-icewm-captive-themes 2.2.3-1+deb10

=== Makefile ===
# @package      hubzero-icewm-captive-themes
# @file         Makefile
# @copyright    Copyright (c) 2010-2022 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2022 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

all:
	@true

install:
	make -C hubzero install

uninstall:
	@true

postinst:
	@true

clean:
	make -C hubzero clean

.PHONY: all install uninstall postinst clean

=== hubzero/Makefile ===
# @package      hubzero-icewm-captive-themes
# @file         hubzero/Makefile
# @copyright    Copyright (c) 2010-2022 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2022 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

USRSHAREDIR=$(DESTDIR)/usr/share

FILES=closeA.xpm closeI.xpm closeO.xpm default.theme hubzero-start-btn.png hubzero_wallpaper.png maximizeA.xpm \
        maximizeI.xpm maximizeO.xpm menuButtonA.xpm menuButtonI.xpm menuButtonO.xpm minimizeA.xpm \
        minimizeI.xpm minimizeO.xpm restoreA.xpm restoreI.xpm restoreO.xpm titleAB.xpm titleAT.xpm \
        titleIB.xpm titleIT.xpm
TFILES=start.xpm

default:
	true

install:
	install -d $(USRSHAREDIR)/hubzero-icewm-captive/themes/hubzero --mode 0755
	install -d $(USRSHAREDIR)/hubzero-icewm-captive/themes/hubzero/taskbar --mode 0755
	for f in $(FILES); do install $$f $(USRSHAREDIR)/hubzero-icewm-captive/themes/hubzero/$$f --mode 0644 ; done
	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/hubzero-icewm-captive/themes/hubzero/taskbar/$$f --mode 0644 ; done

clean:
	true

=== debian/changelog ===
hubzero-icewm-captive-themes (2.2.3-1+deb10) unstable; urgency=low

  * Debian 10 build fix
  * updates from steve clark

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 10:09:22 -0700

=== debian/control ===
Source: hubzero-icewm-captive-themes
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-icewm-captive-themes
Architecture: all
Depends: icewm, ${misc:Depends}
Description: HUBzero themes for the icewm window manager
 HUBzero themes for the icewm captive window manager. Provides a
 HUBzero branded theme for icewm based HUBzero apps.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-icewm-captive-themes
# @file         rules
# @copyright    Copyright (c) 2010-2022 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2022 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-icewm-captive-themes install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-icewm-captive-themes 2.2.3-1+deb12

=== debian/changelog ===
hubzero-icewm-captive-themes (2.2.3-1+deb12) unstable; urgency=low

  * Debian 10 build fix
  * updates from steve clark

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 10:09:22 -0700
